FreeMat

- Main Page
- Related Pages

vtkStructuredPoints

Section: Visualization Toolkit Filtering Classes

# Usage

StructuredPoints is a subclass of ImageData that requires the data extent to exactly match the update extent. Normall image data allows that the data extent may be larger than the update extent. StructuredPoints also defines the origin differently that vtkImageData. For structured points the origin is the location of first point. Whereas images define the origin as the location of point 0, 0, 0. Image Origin is stored in ivar, and structured points have special methods for setting/getting the origin/extents.

To create an instance of class vtkStructuredPoints, simply invoke its constructor as follows

      obj = vtkStructuredPoints

# Methods

The class vtkStructuredPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredPoints = obj.NewInstance ()`
- `vtkStructuredPoints = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetDataObjectType ()`